import { useValidator } from 'src/composables/useValidator';

export function useRequired($attrs) {
    const { validations } = useValidator();

    const isRequired = Object.keys($attrs).includes('required');
    const requiredFieldRule = (val) => validations().required(isRequired, val);

    return {
        isRequired,
        requiredFieldRule,
    };
}
